# Generated from geni-svgenes-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name geni-svgenes

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Genome graphing library for geni-act.org
License: MIT
URL: http://github.com/southpawlife/geni-svgenes
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(juwelier) >= 2.1.0
# BuildRequires: rubygem(juwelier) < 2.2
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(bio) >= 1.4.2
# BuildRequires: rubygem(json) >= 1.7
BuildArch: noarch

%description
Modified version of the bio-svgenes gem, for use in https://geni-act.org
education website.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/geni-svgenes.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.0-1
- Initial package
